Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextLocalEjb

    java.lang.Object
      |
      +--org.apache.catalina.deploy.ContextLocalEjb

public final class ContextLocalEjb
extends java.lang.Object

Representation of a local EJB resource reference for a web application, as represented in a `<ejb-local-ref>` element in the deployment descriptor.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:10 $
Author:
  Craig R. McClanahan

Constructor Summary
`ContextLocalEjb()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHome()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getLocal()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setDescription(java.lang.String description)`
`void` | `setHome(java.lang.String home)`
`void` | `setLink(java.lang.String link)`
`void` | `setLocal(java.lang.String local)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextLocalEjb

    public ContextLocalEjb()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getHome

    public java.lang.String getHome()

### setHome

    public void setHome(java.lang.String home)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getLocal

    public java.lang.String getLocal()

### setLocal

    public void setLocal(java.lang.String local)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.